> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Stock Reservation



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/stock/reservations/{reservation_id}
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/stock/reservations/{reservation_id}:
    get:
      tags:
        - Stock
      summary: Get Stock Reservation
      operationId: get_stock_reservation_api_v1_stock_reservations__reservation_id__get
      parameters:
        - name: reservation_id
          in: path
          required: true
          schema:
            type: string
            title: Reservation Id
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StockReservationResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    StockReservationResponse:
      properties:
        id:
          type: string
          title: Id
        reservationType:
          type: string
          title: Reservationtype
        status:
          type: string
          title: Status
        stockLotId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklotid
        stockLotDocumentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklotdocumentid
        stockLocationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklocationid
        stockLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stocklocationname
        productionOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Productionorderid
        purchaseOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Purchaseorderlineitemid
        materialId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialid
        materialSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialskuid
        styleId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleid
        styleSkuId:
          anyOf:
            - type: string
            - type: 'null'
          title: Styleskuid
        warehouseOutboundLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Warehouseoutboundlineitemid
        qtyReserved:
          type: number
          title: Qtyreserved
        qtyReleased:
          type: number
          title: Qtyreleased
        uom:
          type: string
          title: Uom
        reservedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Reservedbyid
        reservedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Reservedat
        releasedAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Releasedat
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - id
        - reservationType
        - status
        - qtyReserved
        - qtyReleased
        - uom
      title: StockReservationResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````